hpp-core: hpp::core::pathOptimization::ConfigOptimization Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Classes | Public Member Functions | Static Public Member Functions | Public Attributes | Protected Types | Protected Member Functions | List of all members
hpp::core::pathOptimization::ConfigOptimization Class Reference
Path Optimization

`#include <hpp/core/path-optimization/config-optimization.hh>`

Inheritance diagram for hpp::core::pathOptimization::ConfigOptimization:
[legend]
Collaboration diagram for hpp::core::pathOptimization::ConfigOptimization:
[legend]

## Classes
struct | Optimizer
struct | Parameters

## Public Member Functions
virtual PathVectorPtr_t | optimize (const PathVectorPtr_t &path)
| Optimize path.
Public Member Functions inherited from hpp::core::PathOptimizer
virtual | ~PathOptimizer ()
ProblemConstPtr_t | problem () const
| Get problem.
void | interrupt ()
| Interrupt path optimization.
void | maxIterations (const unsigned long int &n)
| Set maximal number of iterations.
void | timeOut (const double &timeOut)
| set time out (in seconds)

## Static Public Member Functions
template<typename Traits >
static ConfigOptimizationPtr_t | createWithTraits (const ProblemConstPtr_t &problem)
| Return shared pointer to new object.
static ConfigOptimizationPtr_t | create (const ProblemConstPtr_t &problem)
| Return shared pointer to new object.

## Public Attributes
struct hpp::core::pathOptimization::ConfigOptimization::Parameters | parameters

## Protected Types
typedef std::vector< Optimizer > | Optimizers_t

## Protected Member Functions
| ConfigOptimization (const ProblemConstPtr_t &problem)
virtual constraints::ImplicitPtr_t | createNumConstraint (const PathVector &path) const
virtual std::size_t | buildOptimizers (const PathVector &pv, Optimizers_t &projectors)
Protected Member Functions inherited from hpp::core::PathOptimizer
| PathOptimizer (const ProblemConstPtr_t &problem)
PathPtr_t | steer (ConfigurationIn_t q1, ConfigurationIn_t q2) const
void | monitorExecution ()
void | endIteration ()
bool | shouldStop () const
void | initFromParameters ()

## Additional Inherited Members
Protected Attributes inherited from hpp::core::PathOptimizer
bool | interrupt_

## Member Typedef Documentation

## ◆ Optimizers_t

typedef std::vector<Optimizer> hpp::core::pathOptimization::ConfigOptimization::Optimizers_t
| protected

## Constructor & Destructor Documentation

## ◆ ConfigOptimization()

hpp::core::pathOptimization::ConfigOptimization::ConfigOptimization | ( | const ProblemConstPtr_t & | problem | ) |
| protected

## Member Function Documentation

## ◆ buildOptimizers()

virtual std::size_t hpp::core::pathOptimization::ConfigOptimization::buildOptimizers | ( | const PathVector & | pv,
|  | Optimizers_t & | projectors
| ) |  |
| protectedvirtual

## ◆ create()

static ConfigOptimizationPtr_t hpp::core::pathOptimization::ConfigOptimization::create | ( | const ProblemConstPtr_t & | problem | ) |
| static

Return shared pointer to new object.

## ◆ createNumConstraint()

virtual constraints::ImplicitPtr_t hpp::core::pathOptimization::ConfigOptimization::createNumConstraint | ( | const PathVector & | path | ) | const
| protectedvirtual

## ◆ createWithTraits()

template<typename Traits >

ConfigOptimizationPtr_t hpp::core::pathOptimization::ConfigOptimization::createWithTraits | ( | const ProblemConstPtr_t & | problem | ) |
| static

Return shared pointer to new object.

## ◆ optimize()

virtual PathVectorPtr_t hpp::core::pathOptimization::ConfigOptimization::optimize | ( | const PathVectorPtr_t & | path | ) |
| virtual

Optimize path.

Implements hpp::core::PathOptimizer.

## Member Data Documentation

## ◆ parameters

struct hpp::core::pathOptimization::ConfigOptimization::Parameters hpp::core::pathOptimization::ConfigOptimization::parameters

The documentation for this class was generated from the following file:

- include/hpp/core/path-optimization/config-optimization.hh